FSFREEZE(8)

NAMN
fsfreeze - avbryt åtkomst till ett filsystem (Ext3/4, ReiserFS, JFS, XFS)

SYNOPSIS

fsfreeze --freeze|--unfreeze monteringspunkt

BESKRIVNING

fsfreeze stänger av eller återupptar åtkomst till ett filsystem.

fsfreeze stoppar all ny åtkomst till filsystemet och skapar en stabil avbildning på disken. fsfreeze är avsedd att användas med RAID-enheter i maskinvara som stöder skapandet av ögonblicksbilder.

fsfreeze är onödigt för enhet-mappare-enheter. Device-mappern (och LVM) fryser automatiskt ett filsystem på enheten när en snapshot-skapelse begärs. För mer information se man-sidan dmsetup(8).

Argumentet monteringspunkt är sökvägsnamnet till den katalog där filsystemet är monterat. Filsystemet måste vara monterat för att kunna frysas (se mount(8)).

Observera att uppdateringar av åtkomsttid också avbryts om filsystemet är monterat med det traditionella atime-beteendet (monteringsflaggor strictatime, för mer information se mount(8)).

FLAGGOR

-f, --freeze
    Denna flagga begär att det angivna filsystemet ska frysas från nya modifieringar. När detta är valt tillåts alla pågående transaktioner i filsystemet att slutföras, nya write(2)-systemanrop stoppas, andra anrop som modifierar filsystemet stoppas och alla smutsiga data, metadata och logginformation skrivs till disk. Alla processer som försöker skriva till det frysta filsystemet kommer att blockeras i väntan på att filsystemet ska frysas upp igen.

    Observera att även efter frysning kan filsystemet på disken innehålla information om filer som fortfarande håller på att kopplas bort. Dessa filer kommer inte att avlänkas förrän filsystemet har frysts upp eller en ren montering av ögonblicksbilden har slutförts.

-u, --unfreeze
    Denna flagga används för att häva frysningen av filsystemet och tillåta att operationer fortsätter. Alla ändringar av filsystemet som blockerades av frysningen avblockeras och tillåts slutföras.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

STÖD FÖR FILSYSTEM

Detta kommando fungerar endast om filsystemet har stöd för freezing. Lista över dessa filsystem inkluderar (2016-12-18) btrfs, ext2/3/4, f2fs, jfs, nilfs2, reiserfs och xfs. Tidigare lista kan vara ofullständig, eftersom fler filsystem får stöd. Om du är osäker är det enklaste sättet att veta om ett filsystem har stöd att skapa ett litet loopback-mount och testa att frysa det.

ANTECKNINGAR

Denna man-sida är baserad på xfs_freeze(8).

UPPHOVSPERSONER

Skriven av Hajime Taira.

SE ÄVEN

montering(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot fsfreeze ingår i paketet util-linux som kan hämtas från